## GocPixbuf GocPixbuf — Pixbuf. |

## Properties

gdouble | height | Read / Write
GdkPixbuf * | pixbuf | Read / Write
gdouble | width | Read / Write
gdouble | x | Read / Write
gdouble | y | Read / Write

## Types and Values

| GocPixbuf
typedef | GocPixbufClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocPixbuf

## Description

GocPixbuf implements image drawing in the canvas.

## Functions

## Types and Values

### GocPixbuf

    typedef struct _GocPixbuf GocPixbuf;

### GocPixbufClass

    typedef GocItemClass GocPixbufClass;

## Property Details

### The `“height”` property

      “height”                   gdouble

The image height or -1 to use the image height.

Flags: Read / Write

Default value: 0

### The `“pixbuf”` property

      “pixbuf”                   GdkPixbuf *

The GdkPixbuf to display.

Flags: Read / Write

### The `“width”` property

      “width”                    gdouble

The image width or -1 to use the image width.

Flags: Read / Write

Default value: 0

### The `“x”` property

      “x”                        gdouble

The image left position.

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gdouble

The image top position.

Flags: Read / Write

Default value: 0